package com.qls.ali.api.fallback;

import com.alibaba.fastjson.JSONObject;
import com.qls.ali.api.AliRemoteService;
import com.qls.core.dto.BatchPushRatesBody;
import com.qls.core.dto.PushHotelBody;
import com.qls.core.dto.PushRpBody;
import com.qls.core.utils.R;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author doyoung
 */
@Slf4j
@Component
public class AliRemoteServiceFallback implements AliRemoteService {

    @Override
    public R pushHotel(PushHotelBody pushHotelBody) {
        log.error("【阿里服务调用失败】酒店推送远程接口调用失败，data:{}", pushHotelBody.toString());
        return R.error();
    }

    @Override
    public R pushRates(BatchPushRatesBody batchPushRatesBody) {
        log.error("【阿里服务调用失败】酒店批量价格推送远程接口调用失败，data:{}", batchPushRatesBody.toString());
        return R.error();
    }

    @Override
    public R pushRp(PushRpBody pushRpBody) {
        log.error("【阿里服务调用失败】酒店rp推送远程接口调用失败，data:{}", pushRpBody.toString());
        return R.error();
    }

    @Override
    public R callback(JSONObject data) {
        log.error("【阿里服务调用失败】订单通知飞猪送远程接口调用失败，data:{}", data.toString());
        return R.error();
    }

    @Override
    public R buy(Map<String, Object> map) {
        log.error("【阿里服务调用失败】前端手动下单远程接口调用失败，data:{}", map.toString());
        return R.error();
    }
    @Override
    public R getMatchHotels(Map<String, Object> map) {
        log.error("【阿里服务调用失败】前端手动下单远程接口调用失败，data:{}", map.toString());
        return R.error();
    }

    @Override
    public R manualMatchHotel(Map<String, Object> map) {
        log.error("【阿里服务调用失败】前端手动下单远程接口调用失败，data:{}", map.toString());
        return R.error();
    }

    @Override
    public R getMatchRooms(Map<String, Object> map) {
        log.error("【阿里服务调用失败】前端手动下单远程接口调用失败，data:{}", map.toString());
        return R.error();
    }

    @Override
    public R manualMatchRoom(Map<String, Object> map) {
        log.error("【阿里服务调用失败】前端手动下单远程接口调用失败，data:{}", map.toString());
        return R.error();
    }
}
