package com.qls.ali.biz.data.dao;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qls.core.entity.OpHtlGroup;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author doyoung
 */
@Mapper
public interface OpHtlGroupDao extends BaseMapper<OpHtlGroup> {

    /**
     * 根据店铺id 和酒店编码删除分组下的酒店
     *
     * @param storeId   Integer
     * @param hotelCode Long
     */
    void delByHotelIdAndStoreId(@Param("storeId") Integer storeId, @Param("hotelCode") Long hotelCode);

    /**
     * 根据酒店编码和店铺编码更新酒店上架状态
     *
     * @param isUp    Integer
     * @param hotelId Long
     * @param storeId Integer
     */
    void updateIsUpByHotelIdAndStoreId(@Param("isUp") Integer isUp, @Param("hotelId") Long hotelId, @Param("storeId") Integer storeId);

    /**
     * 根据店铺id和酒店id查询该酒店在店铺的上架状态
     *
     * @param storeId Integer
     * @param hotelId Long
     * @return Integer
     */
    Integer getIsUpByStoreIdAndHotelId(@Param("storeId") Integer storeId, @Param("hotelId") Long hotelId);

    List<Integer> getStoreIdByHotelId(@Param("hotelId") Long hotelId, @Param("partnerId") Integer partnerId);

}