package com.qls.ali.biz.order.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 发票信息
 *
 * @author kemmy
 * @email kemmy@gmail.com
 * @date 2020-12-03 11:41:02
 */
@Data
@TableName("ord_invoice_info")
public class InvoiceInfoEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId
    private Long id;
    /**
     * 订单编号
     */
    private Long orderCode;
    /**
     * 是否要开发票:0不需要，1需要
     */
    private Integer isNeed;
    /**
     * 是否要提前开发票:0不需要，1需要
     */
    private Integer isPrepare;
    /**
     * 提交开发票请求时间
     */
    private Date submTime;
    /**
     * 需要发票时间
     */
    private Date wantTime;
    /**
     * 发票领取方式:0：前台自取 1：邮寄 2：电子发票 3: 送至房间
     */
    private Integer postType;
    /**
     * 发票类型:1:增值税普通发票；2:增值税专用发票
     */
    private Integer type;
    /**
     * 开票项目
     */
    private String itemComt;
    /**
     * 发票抬头
     */
    private String tittle;
    /**
     * 公司电话
     */
    private String compPhone;
    /**
     * 公司税号
     */
    private String taxNo;
    /**
     * 公司注册地址
     */
    private String compAdd;
    /**
     * 开户行
     */
    private String bank;
    /**
     * 银行账号
     */
    private String bankAcc;
    /**
     * 邮寄地址
     */
    private String postAdd;
    /**
     * 收件人姓名
     */
    private String receiverName;
    /**
     * 收信人手机号
     */
    private String receiverPhone;

}
