package com.qls.ali.biz.order.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 订单信息
 *
 * @author kemmy
 * @email kemmy@gmail.com
 * @date 2020-12-03 11:41:02
 */
@Data
@TableName("ord_order")
public class OrderEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId
    private Long id;
    /**
     *
     */
    private Date date;
    /**
     * 订单编号
     */
    private Long orderCode;
    /**
     * 分销商编码
     */
    private Integer dtId;
    /**
     * 店面编码
     */
    private Integer dtStoreId;
    /**
     * 淘宝酒店id
     */
    private Long shid;
    /**
     * OTA酒店id，即第三方系统中的酒店id
     */
    private Long hotelCode;
    /**
     * 分销商城房型id
     */
    private Long roomCode;
    /**
     *
     */
    private Long src;
    /**
     * 分销商城价格计划id
     */
    private Long rateplanCode;
    /**
     *
     */
    private Long srpc;
    /**
     * 酒店投放渠道
     * <p>
     * 阿里员工协议价 : A
     * <p>
     * 飞猪商旅用户价 : O
     * <p>
     * 公开价: H
     */
    private String plantfrom;
    /**
     *
     */
    private Long planformGoodsId;
    /**
     * 入住时间
     */
    private Date checkInDate;
    /**
     * 离店日期
     */
    private Date checkOutDate;
    /**
     * 小时房字段
     */
    private Integer isHourHome;
    /**
     * 最早到店时间
     */
    private Date earliestTime;
    /**
     * 最晚到店时间
     */
    private Date latestTime;
    /**
     * 房间数量
     */
    private Integer roomNum;
    /**
     * 入住人数
     */
    private Integer perNum;
    /**
     * 下单使用的价格类型：0默认值；1变价订单价格标记
     * <p>
     * 说明：如果是变价订单，则表示不需要做价格校验
     */
    private Integer priceType;
    /**
     * 是否为凌晨房
     */
    private Integer morningRoom;
    /**
     * 0.未知；1限售库存；2保留房库存；3物理库存；4超预定库存
     */
    private Integer inventoryType;
    /**
     * 订单总价（分）
     */
    private Integer totalPrice;
    /**
     * 授权杂费金额（分）
     */
    private Integer otherFees;
    /**
     * 已付金额
     */
    private Integer payPrice;
    /**
     * 卖家优惠总金额
     */
    private Integer reducedPrice;
    /**
     * 货币类型
     */
    private String currencyType;
    /**
     * 订单实际支付方式
     */
    private Integer paymentMethod;
    /**
     * 联系人姓名
     */
    private String name;
    /**
     * 联系人电话
     */
    private String phone;
    /**
     * 联系人邮箱
     */
    private String email;
    /**
     * 订单类型
     */
    private Integer orderType;
    /**
     * 备注、特殊需求
     */
    private String note;
    /**
     * 支付宝交易号
     */
    private String zfbId;
    /**
     * 商品原始支付类型
     */
    private Integer paymentType;
    /**
     * 小时房到店时间
     */
    private Date hourCheckInTime;
    /**
     * 小时房离店时间
     */
    private Date hourCheckOutTime;
    /**
     * 订单状态
     * 1未支付，2已支付，3已发货
     */
    private Integer orderStatus;
    /**
     * 1已采购，0未采购，
     */
    private Integer buyStatus;
    /**
     * 采购来源
     * 1,携程
     * 2，美团
     * 3，人工线下采购
     * 4，其他
     */
    private Integer buySource;
    /**
     * 采购单单号
     */
    private String buyOrderId;
    /**
     * 采购单金额
     */
    private Integer buyOrderPrice;
    /**
     * 违约金
     */
    private Integer defaultMoney;
    /**
     * 跟单人
     */
    private Integer dealOrderPeo;
    /**
     * 1、携程
     * 2、美团
     * 3、爬虫
     * 4、自购
     * 5、其他
     */
    private Long chanelCode;
    /**
     *
     */
    private Long chanelOrderCode;
    /**
     *
     */
    private Integer resultCode;
    /**
     *
     */
    private String resultDesc;

}
