package com.qls.ali.biz.order.service.biz;

import com.qls.core.utils.R;


/**
 * @author doyoung
 */
public interface ReceOrderService {

    /**
     * 验单
     *
     * @param xml String
     * @return String
     */
    String validate(String xml);

    /**
     * 预定
     *
     * @param xml     String
     * @param dtId    Integer
     * @param storeId Integer
     * @return String
     */
    String book(String xml, Integer dtId, Integer storeId);

    /**
     * 支付通知
     *
     * @param xml      String
     * @param username String
     * @return String
     */
    String paySuccess(String xml, String username);

    /**
     * 阿里订单查询
     *
     * @param xml String
     * @return String
     */
    String queryStatus(String xml);

    /**
     * 阿里申请退款通知
     *
     * @param xml String
     * @return String
     */
    String orderRefund(String xml);

    /**
     * 阿里取消订单通知
     *
     * @param xml String
     * @return String
     */
    String cancel(String xml);

    /**
     * 前端手工下单 （当订单已支付时再执行前端下单）
     *
     * @param orderId Integer
     * @return R
     */
    R manuBook(Integer orderId);
}
