package com.qls.ali.biz.order.service.mybatis;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qls.ali.biz.order.entity.OrderEntity;

import java.util.Map;


/**
 * @author doyoung
 */
public interface OrderService extends IService<OrderEntity> {

    /**
     * 更新订单状态
     *
     * @param params Map<String, Object>
     * @return Integer
     */
    Integer sqlUpdateOrderStatus(Map<String, Object> params);

    /**
     * 根据下单渠道订单号 和下单渠道查询订单
     *
     * @param buyOrdId Long
     * @param channel  Integer
     * @return OrderEntity
     */
    OrderEntity sqlSelectByBuyOrdId(Long buyOrdId, Integer channel);

    /**
     * 根据订单号 查询订单
     *
     * @param orderCode Long
     * @return OrderEntity
     */
    OrderEntity sqlSelectByOrderCode(Long orderCode);

    /**
     * 根据订单号 和订单状态查询订单
     *
     * @param params Map<String, Object>
     */
    void updateOnlyOrderStatus(Map<String, Object> params);
}

