package com.qls.ali.biz.service.mybatis;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qls.core.entity.OpHtlGroup;

import java.util.List;


/**
 * @author doyoung
 */
public interface OpHtlGroupService extends IService<OpHtlGroup> {

    /**
     * 根据店铺id 和酒店编码删除分组下的酒店
     *
     * @param storeId   Integer
     * @param hotelCode Long
     */
    void delByHotelIdAndStoreId(Integer storeId, Long hotelCode);

    /**
     * 根据酒店编码和店铺编码更新酒店上架状态
     *
     * @param isUp    Integer
     * @param hotelId Long
     * @param storeId Integer
     */
    void updateIsUpByHotelIdAndStoreId(Integer isUp, Long hotelId, Integer storeId);

    /**
     * 根据店铺id和酒店id查询该酒店在店铺的上架状态
     *
     * @param storeId Integer
     * @param hotelId Long
     * @return Integer
     */
    Integer getIsUpByStoreIdAndHotelId(Integer storeId, Long hotelId);

    List<Integer> getStoreIdByHotelId(Long hotelId, Integer partnerId);

}
