package com.qls.core.ali.order.manuorder;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.google.common.collect.Lists;
import com.qls.core.ali.order.bookrq.request.OrderGuest;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author doyoung
 */
@Data
public class ManuBookRq implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 订单id
     */
    private Long id;
    /**
     * 订单号
     */
    private Long orderCode;
    /**
     * 分销商编码
     */
    private Integer dtId;
    /**
     * 店面编码
     */
    private Integer dtStoreId;
    /**
     * 淘宝酒店id
     */
    private Long shid;
    /**
     * OTA酒店id，即第三方系统中的酒店id
     */
    private Long hotelCode;
    /**
     * 分销商城房型id
     */
    private Long roomCode;

    /**
     * 分销商城价格计划id
     */
    private Long rateplanCode;
    /**
     *
     */

    private String plantfrom;
    /**
     *
     */
    private Long planformGoodsId;
    /**
     * 入住时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date checkInDate;
    /**
     * 离店日期
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date checkOutDate;

    /**
     * 最早到店时间
     */
    private Date earliestTime;
    /**
     * 最晚到店时间
     */
    private Date latestTime;
    /**
     * 房间数量
     */
    private Integer roomNum;
    /**
     * 入住人数
     */
    private Integer perNum;

    /**
     * 订单总价（分）
     */
    private Integer totalPrice;
    /**
     * 授权杂费金额（分）
     */
    private Integer otherFees;
    /**
     * 已付金额
     */
    private Integer payPrice;
    /**
     * 卖家优惠总金额
     */
    private Integer reducedPrice;
    /**
     * 货币类型
     */
    private String currencyType;

    /**
     * 联系人姓名
     */
    private String name;
    /**
     * 联系人电话
     */
    private String phone;
    /**
     * 联系人邮箱
     */
    private String email;
    /**
     * 订单类型
     */
    private Integer orderType;
    /**
     * 备注、特殊需求
     */
    private String note;
    /**
     * 价格日历
     */
    private List<Dailyroom> DailyRooms = Lists.newArrayList();

    /**
     * 入住人信息
     */
    private List<OrderGuest> OrderGuests = Lists.newArrayList();

}
