package com.qls.core.entity;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.io.Serializable;

/**
 * 飞猪标准酒店匹配
 *
 * @author zhouyu
 */
@Data
public class HtAliHotel implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @JSONField(name = "id")
    private Long id;
    /**
     * 店铺id
     */
    @JSONField(name = "store_id")
    private Integer storeId;
    /**
     * 阿里标准酒店id
     */
    @JSONField(name = "shid")
    private Long shid;
    /**
     * 分销酒店id
     */
    @JSONField(name = "hotel_code")
    private Long hotelCode;
    /**
     * 卖家酒店id
     */
    @JSONField(name = "hid")
    private Long hid;
    /**
     * 	阿里标准酒店名称
     */
    @JSONField(name = "name")
    private String name;
    /**
     * 阿里标准酒店所在城市
     */
    @JSONField(name = "city")
    private String city;
    /**
     * 	酒店地址
     */
    @JSONField(name = "address")
    private String address;
    /**
     * 	联系电话
     */
    @JSONField(name = "tel")
    private String tel;
    /**
     * 	经纬度
     */
    @JSONField(name = "jwd")
    private String jwd;
    /**
     * 	相似度分数
     */
    @JSONField(name = "score")
    private String score;
    /**
     * 	英文名称
     */
    @JSONField(name = "name_e")
    private String nameE;
    /**
     * 	英文地址
     */
    @JSONField(name = "en_addr")
    private String enAddr;
    /**
     * 	曾用名
     */
    @JSONField(name = "used_name")
    private String usedName;
    /**
     * 	酒店状态0,正常，有报价可在线售卖，-1，待上线，-3 下架，-1，-3需要上线时联系平台处理
     */
    @JSONField(name = "status_code")
    private Integer statusCode;
    /**
     * 	酒店状态描述
     */
    @JSONField(name = "status_desc")
    private String statusDesc;

    /**
     * 	酒店匹配类型：0，自动匹配，1，人工匹配
     */
    @JSONField(name = "match_type")
    private Integer matchType;
}
