package com.qls.core.entity;


import lombok.Data;

import java.io.Serializable;


/**
 * @author doyoung
 */
@Data
public class HtRoomType implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    private Long id;
    /**
     *
     */
    private Long hotelCode;
    /**
     * 房型编码
     */
    private Long roomCode;
    /**
     * 房型名称
     */
    private String roomName;
    /**
     * 最大入住人数
     */
    private String maxNum;
    /**
     * 房间大小
     */
    private String roomSize;
    /**
     * 房间所在楼层
     */
    private String roomFloor;
    /**
     * 床型
     */
    private String bedType;
    /**
     * 床宽
     */
    private String bedWidth;
    /**
     * 房间窗户情况
     * 0:无窗/1:有窗/2:部分有窗/3:暗窗/4:部分暗窗
     */
    private Integer windows;
    /**
     * 房型状态
     * 房型状态。0:正常，-1:删除，-2:停售
     */
    private Integer roomStatus;
    /**
     * 1、携程
     * 2、美团
     * 3、爬虫
     * 4、自购
     * 5、其他
     */
    private Integer dataFrom;
    /**
     * 匹配状态: 0：待系统匹配 1：已系统匹配，匹配成功，待卖家确认 2：已系统匹配，匹配失败，待人工匹配 3：已人工匹配，匹配成功，待卖家确认 4：已人工匹配，匹配失败 5：卖家已确认，确认“YES” 6：卖家已确认，确认“NO” 7:已系统匹配，但是匹配重复，待人工确认
     */
    private Integer isRoomMatch;
    /**
     * 阿里标准房型id
     */
    private Long srid;

}
