package com.qls.core.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;


/**
 * @author doyoung
 */
@Data
@ToString
public class OrdOrder implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */

    @ExcelIgnore
    private Long id;
    /**
     *
     */
    @ExcelProperty(value = "日期",index = 3)
    @ColumnWidth(30)
    private Date date;
    /**
     * 订单编号
     */
    @ExcelProperty(value = "订单编号",index = 4)
    @ColumnWidth(30)
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long orderCode;
    /**
     * 分销商编码
     */

    @ExcelIgnore
    private Integer dtId;
    /**
     * 店面编码
     */

    @ExcelIgnore
    private Integer dtStoreId;
    /**
     * 淘宝酒店id
     */

    @ExcelIgnore
    private Long shid;
    /**
     * OTA酒店id，即第三方系统中的酒店id
     */

    @ExcelIgnore
    private Long hotelCode;
    /**
     * 分销商城房型id
     */

    @ExcelIgnore
    private Long roomCode;
    /**
     *
     */

    @ExcelIgnore
    private Long src;
    /**
     * 分销商城价格计划id
     */

    @ExcelIgnore
    private Long rateplanCode;
    /**
     *
     */

    @ExcelIgnore
    private Long srpc;
    /**
     * 酒店投放渠道阿里员工协议价 : A 飞猪商旅用户价 : O 公开价: H
     */

    @ExcelIgnore
    private String plantfrom;
    /**
     *
     */

    @ExcelIgnore
    private Long planformGoodsId;
    /**
     * 入住时间
     */
    @ExcelProperty(value = "入住时间",index = 5)
    @ColumnWidth(30)
    private Date checkInDate;
    /**
     * 离店日期
     */
    @ExcelProperty(value = "离店时间",index = 6)
    @ColumnWidth(30)
    private Date checkOutDate;
    /**
     * 小时房字段
     */

    @ExcelIgnore
    private Integer isHourHome;
    /**
     * 最早到店时间
     */

    @ExcelIgnore
    private Date earliestTime;
    /**
     * 最晚到店时间
     */

    @ExcelIgnore
    private Date latestTime;
    /**
     * 房间数量
     */

    @ExcelIgnore
    private Integer roomNum;
    /**
     * 入住人数
     */

    @ExcelIgnore
    private Integer perNum;
    /**
     * 下单使用的价格类型：0默认值；1变价订单价格标记说明：如果是变价订单，则表示不需要做价格校验
     */

    @ExcelIgnore
    private Integer priceType;
    /**
     * 是否为凌晨房
     */

    @ExcelIgnore
    private Integer morningRoom;
    /**
     * 0.未知；1限售库存；2保留房库存；3物理库存；4超预定库存
     */

    @ExcelIgnore
    private Integer inventoryType;
    /**
     * 订单总价（分）
     */

    @ExcelIgnore
    private Integer totalPrice;
    /**
     * 授权杂费金额（分）
     */

    @ExcelIgnore
    private Integer otherFees;
    /**
     * 已付金额
     */

    @ExcelIgnore
    private Integer payPrice;
    /**
     * 卖家优惠总金额
     */

    @ExcelIgnore
    private Integer reducedPrice;
    /**
     * 货币类型
     */

    @ExcelIgnore
    private String currencyType;
    /**
     * 订单实际支付方式
     */

    @ExcelIgnore
    private Integer paymentMethod;
    /**
     * 联系人姓名
     */

    @ExcelIgnore
    private String name;
    /**
     * 联系人电话
     */

    @ExcelIgnore
    private String phone;
    /**
     * 联系人邮箱
     */

    @ExcelIgnore
    private String email;
    /**
     * 订单类型，0 人工订单 1 直连订单
     */

    @ExcelIgnore
    private Integer orderType;
    /**
     * 备注、特殊需求
     */

    @ExcelIgnore
    private String note;
    /**
     * 支付宝交易号
     */

    @ExcelIgnore
    private String zfbId;
    /**
     * 商品原始支付类型
     */

    @ExcelIgnore
    private Integer paymentType;
    /**
     * 小时房到店时间
     */

    @ExcelIgnore
    private Date hourCheckInTime;
    /**
     * 小时房离店时间
     */

    @ExcelIgnore
    private Date hourCheckOutTime;
    /**
     * 订单状态
     * 1未支付， 2已支付，3已发货 ,4 已入住  -1 申请退款 -2 已退款 -3 关单
     */

    @ExcelIgnore
    private Integer orderStatus;
    /**
     * 0未采购，1 已受理 （ 已提交） 3 已采购 -1 采购失败 -2 退款失败
     */

    @ExcelIgnore
    private Integer buyStatus;
    /**
     * 采购来源
     * 1,携程
     * 2，美团
     * 3，人工线下采购
     * 4，其他
     */

    @ExcelIgnore
    private Integer buySource;
    /**
     * 采购单单号
     */

    @ExcelIgnore
    private String buyOrderId;
    /**
     * 采购单金额
     */

    @ExcelIgnore
    private Integer buyOrderPrice;
    /**
     * 违约金
     */

    @ExcelIgnore
    private Integer defaultMoney;
    /**
     * 跟单人
     */

    @ExcelIgnore
    private Integer dealOrderPeo;
    /**
     * 1、携程
     * 2、美团
     * 3、爬虫
     * 4、自购
     * 5、其他
     */

    @ExcelIgnore
    private Long chanelCode;
    /**
     *
     */

    @ExcelIgnore
    private Long chanelOrderCode;
    /**
     *
     */

    @ExcelIgnore
    private Integer resultCode;
    /**
     *
     */

    @ExcelIgnore
    private String resultDesc;
    /**
     *
     */

    @ExcelIgnore
    private String username;
    /**
     * 是否发送退款短信/退款短信是否发送成功
     */

    @ExcelIgnore
    private Integer isMsg;
}
