package com.qls.core.entity;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.io.Serializable;

/**
 * 待匹配酒店信息
 *
 * @author zhouyu
 */
@Data
public class WaitMatchHotel implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 卖家酒店上传到平台后的ID
     */
    @JSONField(name = "hid")
    private Long hid;
    /**
     * 	酒店名称，必填
     */
    @JSONField(name = "name")
    private String hotelName;
    /**
     * 酒店所在行政区划，对应平台ID，为空时会使用经纬度来定位
     */
    @JSONField(name = "city_code")
    private String cityCode;
    /**
     * 	电话
     */
    @JSONField(name = "tel_number")
    private String telNumber;
    /**
     * 	经度
     */
    @JSONField(name = "longitude")
    private String longitude;
    /**
     * 	纬度
     */
    @JSONField(name = "latitude")
    private String latitude;
    /**
     * 	地址
     */
    @JSONField(name = "address")
    private String address;
}
