package com.qls.exception;

/**
 * 订单异常     1000-1999
 * 数据推送异常 2000-2999
 * 数据拉取异常 3000-3999
 * 异常编码
 * @author doyoung
 */
public enum ErrorCode {

    /**
     * 订单验证失败
     */
    ORDER_VALIDATE_ERROR(1000, "下单前校验失败"),
    /**
     * 订单预定失败
     */
    ORDER_BOOK_ERROR(1001, "预定失败"),
    /**
     * 订单付款失败
     */
    ORDER_PAY_ERROR(1002, "付款失败"),
    /**
     * 订单退款失败
     */
    ORDER_REFUND_ERROR(1003, "退款失败"),
    /**
     * 订单取消失败
     */
    ORDER_CANCEL_ERROR(1004, "取消失败"),
    /**
     * 全量推送异常
     */
    PUSH_ALL_ERROR(2000, "全量推送异常"),
    /**
     * 酒店推送异常
     */
    PUSH_HOTEL_ERROR(2001, "酒店推送异常"),
    /**
     * 房型推送异常
     */
    PUSH_ROOM_ERROR(2002, "房型推送异常"),
    /**
     * rp推送异常
     */
    PUSH_RP_ERROR(2003, "rp推送异常"),
    /**
     * 价态推送异常
     */
    PUSH_RATES_ERROR(2004, "价态推送异常"),
    /**
     * 酒店拉取异常
     */
    PULL_HOTEL_ERROR(3000, "酒店拉取异常"),
    /**
     * 房型拉取异常
     */
    PULL_ROOM_ERROR(3001, "房型拉取异常"),
    /**
     * rp拉取异常
     */
    PULL_RP_ERROR(3002, "rp拉取异常"),
    /**
     * 价态拉取异常
     */
    PULL_RATES_ERROR(3003, "价态拉取异常"),
    /**
     * 全量拉取异常
     */
    PULL_ALL_ERROR(3004, "全量拉取异常")
    ;


    private Integer code;

    private String message;


    ErrorCode(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
