package com.qls.lock.annotation;

import java.lang.annotation.*;

/**
 * @author doyoung
 * @description: 基于注解的分布式式锁
 */
@Documented
@Inherited
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface DistributedLock {

    /**
     * 锁的默认名称
     */
    String value() default "redisson";

    /**
     * 锁的默认有效时间
     */
    int leaseTime() default 10;
}


