package com.qls.basic.api;

import com.qls.core.utils.R;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

/**
 * @author doyoung
 */
@FeignClient("consumer-basic-service")
public interface ConsumerRemoteService {

    /**
     * 店铺对应的消息队列创建
     *
     * @param params Map<String, Object>
     * @return R
     */
    @GetMapping("consumer/create")
    R create(@RequestParam Map<String, Object> params);

    /**
     * 店铺对应的消息队列删除
     *
     * @param params Map<String, Object>
     * @return R
     */
    @GetMapping("consumer/destroy")
    R destroy(@RequestParam Map<String, Object> params);

}
