package com.qls.mt.api.fallback;

import com.alibaba.fastjson.JSON;
import com.qls.core.ali.order.bookrq.request.BookRq;
import com.qls.core.ali.order.cancelrq.CancelRq;
import com.qls.core.ali.order.validaterq.request.ValidateRq;
import com.qls.core.dto.*;
import com.qls.core.utils.R;
import com.qls.mt.api.MtRemoteService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author doyoung
 */
@Slf4j
@Component
public class MtRemoteServiceFallback implements MtRemoteService {
    @Override
    public R hotelDetail(InitBody initBody) {
        log.error("【美团服务调用失败】酒店id初始化远程接口调用失败，data:{}", JSON.toJSON(initBody));
        return R.error();
    }

    @Override
    public R hotelAll(PushHotelBody pushHotelBody) {
        log.error("【美团服务调用失败】拉取酒店、房型、售卖房型、价态信息远程接口调用失败，data:{}", JSON.toJSON(pushHotelBody));
        return R.error();
    }

    @Override
    public R pullAll(Map<String, Object> params) {
        log.error("【美团服务调用失败】拉取酒店列表远程接口调用失败，data:{}", params);
        return R.error();
    }

    @Override
    public R validate(ValidateRq validateRq) {
        log.error("【美团服务调用失败】下单前校验远程接口调用失败，data:{}", JSON.toJSON(validateRq));

        return R.error();
    }

    @Override
    public R book(BookRq bookRq) {
        log.error("【美团服务调用失败】预定远程接口调用失败，data:{}", JSON.toJSON(bookRq));

        return R.error();
    }

    @Override
    public R cancel(CancelRq cancelRq) {
        log.error("【美团服务调用失败】取消远程接口调用失败，data:{}", JSON.toJSON(cancelRq));
        return R.error();
    }

    @Override
    public R productBatch(ProductChangeMQBatch productChangeMQBatch) {
        log.error("【美团服务调用失败】批量产品变化远程接口调用失败，data:{}", JSON.toJSON(productChangeMQBatch));
        return R.error();
    }

    @Override
    public R updateRp(Map<String, Long> params) {
        return null;
    }


}
