package com.qls.mt.biz.data.pojo.hotel;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class PoiExtInfo implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long hotelId; //	Long	是	酒店ID。
    private String openDate;//	String	否	开业时间，格式为yyyy/MM或yyyy/MM/dd。
    private String decorationDate; //	String	否	装修时间，格式为yyyy/MM或yyyy/MM/dd。
    private Integer roomNum;//	Integer	否	酒店房间总数。
    private Integer floorNum; //	Integer	否	酒店楼层高度。
    private Integer hotelStar; //	Integer	否	酒店星级： 0 国家旅游局颁布五星级证书 1 豪华（按五星级标准建造）2 国家旅游局颁布四星级证书 3 高档（按四星级标准建造） 4 国家旅游局颁布三星级证书 5 舒适型（按三星级标准建造） 6 经济型7 低档
    private String poiType; //	String	否	酒店类型： 0 经济型1 快捷酒店2 商务酒店3 主题酒店4 情侣酒店5 公寓6 客栈7 民宿8 青年旅社9 农家院10 家庭旅馆11 招待所12 度假酒店13 别墅最多可同时包含两项酒店类型，两项间以半角逗号分隔，如"9,10"表示该酒店即是农家院又是家庭旅馆。
    private String themeTag; //	String	否	酒店主题标签： 0 购物便捷1 培训学习2 蜜月出行3 休闲情调4 交通便利5 离医院近6 商旅之家7 四合院8 园林庭院9 安静优雅10 特色建筑11 周边美景12 家有萌宠13 文艺范儿14 观景露台15 古色古香最多可同时包含三项酒店主题标签，各项间以半角逗号分隔，如"9,13,15"表示该酒店安静优雅又有文艺范儿，还古色古香。
    private String checkinTimeBegin; //	String	否	登记入住开始时间，格式为HH:mm，取值范围为[06:00, 23:30]，半小时为一个取值点，如"06:00"、"06:30"。
    private String checkinTimeEnd; //	String	否	登记入住截止时间，checkinTimeEnd="0"表示登记入住没有截止时间。非0值则格式为HH:mm，取值范围为[14:30, 23:59]，半小时为一个取值点，如"14:30"、"15:00"。当天的最后半个小时特殊处理，表示为"23:59"。
    private String checkoutTime;//	String	否	离店时间，checkoutTime="0"表示固定小时制离店，即入住checkOutTimeHours小时之后离店；非0值则格式为HH:mm，取值范围为[06:00, 23:59]，半小时为一个取值点，如"14:30"、"15:00"。当天的最后半个小时特殊处理，表示为"23:59"。
    private Float checkoutTimeHours;//	Float	否	当checkoutTime="0"时必填，精度为一位小数，如checkoutTimeHours=6.5表示入住6个半小时后离店。
    private Integer foreignPolicy; //	Integer	否	外宾政策，0-无，1-酒店接待大陆、港澳台及外国客人，2-酒店仅接待大陆客人，3-酒店仅接待大陆和港澳台客人。
}
