package com.qls.mt.biz.data.pojo.room;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class RoomBaseInfo implements Serializable {
    private static final long serialVersionUID = 1L;
    private Integer realRoomId; //物理房型id
    private Long hotelId; //酒店id
    private String name; //房型名称
    private String nameEn; //房型英文名称
    private String useAbleArea; //房间可用面积
    private String floor; //房间所在楼层
    private Integer status; //房型状态
    private Boolean allowExtraBed; //加床情况
    private Integer internetAccess; //上网方式
    private RoomDescriptions descriptions; //房间描述信息
    private RoomOccupancy occupancy; //房间容纳人数
    private RoomWindow window; //窗户信息
    private List<List<RoomBedGroups>> bedGroups; //床型基本信息。外层数组的元素之间是"或"关系，内层数组的元素之间是"且"关系。
}