package com.qls.mt.biz.data.service;


import com.qls.core.dto.ProductChangeMQBatch;
import com.qls.mt.module.callback.PoiChangeBody;
import com.qls.mt.module.callback.ProductChangeBody;

/**
 * @author doyoung
 */
public interface ChangeService {

    /**
     * 酒店变化处理
     *
     * @param poiChangeBody PoiChangeBody 酒店变更体
     * @param partnerId Integer 通知的数据源渠道
     */
    void poi(PoiChangeBody poiChangeBody, Integer partnerId);

    /**
     * 产品变化过滤
     *
     * @param productChangeBody 产品变更数据
     * @param partnerId 通知的数据源渠道
     */
    void productIdFilter(ProductChangeBody productChangeBody, Integer partnerId);

    /**
     * 批量处理产品变更
     *
     * @param productChangeMQBatch 产品变更批量消费
     */
    void productBatch(ProductChangeMQBatch productChangeMQBatch);

}
