package com.qls.mt.biz.data.service;

import com.qls.core.dto.PushHotelBody;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * @author Administrator
 */
@Service
public interface HotelService {

    /**
     * 酒店信息存库
     *
     * @param pushHotelBody PushHotelBody
     * @param map Map<String, Object>
     */
    void saveHotel(PushHotelBody pushHotelBody, Map<String, Object> map);

    /**
     * 房型信息存库
     *
     * @param pushHotelBody PushHotelBody
     * @param map Map<String, Object>
     * @return List<Long>
     */
    List<Long> saveRoom(PushHotelBody pushHotelBody, Map<String, Object> map);

    /**
     * rp信息存库
     *
     * @param pushHotelBody PushHotelBody
     * @param listRoom      List<Long>
     * @param map Map<String, Object>
     * @return List<Long>
     */
    List<Long> saveRp(PushHotelBody pushHotelBody, List<Long> listRoom, Map<String, Object> map);

    /**
     * 价格信息存库
     *
     * @param pushHotelBody PushHotelBody
     * @param rpCodes       List<Long>
     * @param map Map<String, Object>
     */
    void rates(PushHotelBody pushHotelBody, List<Long> rpCodes, Map<String, Object> map);

    /**
     * 所有酒店Id
     *
     * @param dtId Integer
     */
    void repeat(Integer dtId);

    /**
     * 全量更新 rp
     * @param hotelId
     */
    void updateRp(Long hotelId, Map<String, Object> map);

}
