package com.qls.mt.biz.order.controller;

import com.alibaba.fastjson.JSONObject;
import com.qls.core.ali.order.bookrq.request.BookRq;
import com.qls.core.ali.order.cancelrq.CancelRq;
import com.qls.core.ali.order.validaterq.request.ValidateRq;
import com.qls.core.utils.R;
import com.qls.mt.biz.common.utils.MtResponse;
import com.qls.mt.biz.order.service.MtOrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;


/**
 * @author Administrator
 */
@Slf4j
@RestController
public class OrderController {


    @Autowired
    private MtOrderService mtOrderService;

    /**
     * 下单前校验 / 预定校验
     *
     * @param validateRq ValidateRq
     * @return R
     */
    @PostMapping(value = "order/validate")
    public R validate(@RequestBody ValidateRq validateRq) {
        return mtOrderService.validate(validateRq);
    }

    /**
     * 预定
     *
     * @param bookRq BookRq
     * @return R
     */
    @PostMapping(value = "order/book")
    public R book(@RequestBody BookRq bookRq) {
        return mtOrderService.book(bookRq);
    }

    /**
     * 订单取消
     *
     * @param cancelRq CancelRq
     * @return R
     */
    @PostMapping(value = "order/cancel")
    public R cancel(@RequestBody CancelRq cancelRq) {
        return mtOrderService.cancel(cancelRq);
    }

    /**
     * 美团订单通知 / 回调接口
     *
     * @param jsonObject JSONObject
     * @return MtResponse
     */
    @PostMapping(value = "callback/order")
    public MtResponse callback(@RequestBody JSONObject jsonObject) {
        mtOrderService.callback(jsonObject);
        return MtResponse.ok();
    }


}
