package com.qls.mt.module;

import com.qls.core.dto.HtDailyRoom;
import lombok.Data;

import java.util.List;

/**
 * 下单前校验
 *
 * @author doyoung
 */
@Data
public class ValidateBody {

    /**
     * 酒店id
     */
    private String hotelId;

    /**
     * 售卖房型id（价格政策编码）
     */
    private String rpCode;

    /**
     * 自定义价格政策id
     */
    private String ourPlan;

    /**
     * 入住日期
     */
    private String checkIn;

    /**
     * 离店日期
     */
    private String checkOut;

    /**
     * 预定房间数量
     */
    private Integer roomNum;

    /**
     * 入住人数
     */
    private Integer customerNum;

    /**
     * 店铺用户名
     */
    private String username;

    /**
     * 入住区间的每日房价/房态等 （缓存）
     */
    private List<HtDailyRoom> dailyRooms;

}
