package com.qls.mt.module.callback;

import lombok.Data;
import lombok.ToString;

import java.util.List;

/**
 * @author doyoung
 */
@Data
@ToString
public class ProductChangeInfo {

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 变化类型
     * 101：产品上线
     * 102：产品下线
     * 103：产品基本信息
     * 104：产品价格信息
     * 105：产品房态信息
     */
    private List<Integer> changeTypes;

    /**
     * 入住日期
     * 当changeTypes包含104或105时此字段不为空
     */
    private String changeCheckinDate;

    /**
     * 离店日期
     * 当changeTypes包含104或105时此字段不为空
     */
    private String changeCheckoutDate;

    /**
     * 酒店id
     */
    private Long hotelId;

}
