package com.qls.web.common.utils;

/**
 * 常量
 *
 * @author kemmy
 */
public class Constant {
    /**
     * 超级管理员ID
     */
    public static final int SUPER_ADMIN = 1;
    /**
     * 当前页码
     */
    public static final String PAGE = "page";
    /**
     * 每页显示记录数
     */
    public static final String LIMIT = "limit";
    /**
     * 排序字段
     */
    public static final String ORDER_FIELD = "sidx";
    /**
     * 排序方式
     */
    public static final String ORDER = "ord";
    /**
     * 升序
     */
    public static final String ASC = "asc";

    /**
     * 菜单类型
     *
     * @author chenshun
     * @email sunlightcs@gmail.com
     * @date 2016年11月15日 下午1:24:29
     */
    public enum MenuType {
        /**
         * 目录
         */
        CATALOG(0),
        /**
         * 菜单
         */
        MENU(1),
        /**
         * 按钮
         */
        BUTTON(2);

        private int value;

        MenuType(int value) {
            this.value = value;
        }

        public int getValue() {
            return value;
        }
    }

    /**
     * 定时任务状态
     *
     * @author chenshun
     * @email sunlightcs@gmail.com
     * @date 2016年12月3日 上午12:07:22
     */
    public enum ScheduleStatus {
        /**
         * 正常
         */
        NORMAL(0),
        /**
         * 暂停
         */
        PAUSE(1);

        private int value;

        ScheduleStatus(int value) {
            this.value = value;
        }

        public int getValue() {
            return value;
        }
    }

    public enum RedisKey {
        /**
         * 店铺下RP所使用的加价配置
         */
        STORE_RP_USE_ADD_PRICE("1_store_rp_use_add_price"),

        /**
         * 店铺下RP所使用的加价配置
         */
        STORE_HTL_USE_OURPLAN("1_store_htl_use_ourplan"),

        /**
         * RP所所属酒店及房型
         */
        RP_HTL_ROOM("1_rp_blong_htl_room"),

        /**
         * 价量态所使用的key前缀
         */
        RPS_PREFIX("r");

        private String value;

        RedisKey(String value) {
            this.value = value;
        }

        public String getValue() {
            return value;
        }
    }


}
