package com.qls.web.modules.dt.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qls.core.entity.DtOrderChannels;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 采购渠道
 *
 * @author yj
 * @email yj@gmail.com
 * @date 2021-09-11 14:01:21
 */
@Mapper
public interface DtOrderChannelsDao extends BaseMapper<DtOrderChannels> {

    /**
     * 查询优先级是否重复
     *
     * @param priority Integer
     * @return Integer
     */
    Integer getPriorityCount(Integer priority);

    DtOrderChannels getByStoreIdAndChannel(@Param("storeId") Integer storeId, @Param("chanel") Integer chanel);

    DtOrderChannels getByStoreId(Integer storeId);

    List<DtOrderChannels> getByChannel();

    DtOrderChannels getCommissionRate();
}
