package com.qls.web.modules.ht.controller;

import com.qls.core.entity.HtRoomType;
import com.qls.core.utils.R;
import com.qls.web.common.utils.PageUtils;
import com.qls.web.modules.ht.service.HtPhysicalRoomService;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
import java.util.Map;


/**
 * @author yj
 * @email yj@gmail.com
 * @date 2021-08-25 10:50:46
 */
@RestController
@RequestMapping("ht/htphysicalroom")
public class HtPhysicalRoomController {
    @Autowired
    private HtPhysicalRoomService htPhysicalRoomService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    @RequiresPermissions("ht:htphysicalroom:list")
    public R list(@RequestParam Map<String, Object> params) {
        PageUtils page = htPhysicalRoomService.queryPage(params);
        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    @RequiresPermissions("ht:htphysicalroom:info")
    public R info(@PathVariable("id") Long id) {
        HtRoomType htPhysicalRoom = htPhysicalRoomService.getById(id);

        return R.ok().put("htPhysicalRoom", htPhysicalRoom);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    @RequiresPermissions("ht:htphysicalroom:save")
    public R save(@RequestBody HtRoomType htPhysicalRoom) {
        htPhysicalRoomService.save(htPhysicalRoom);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    @RequiresPermissions("ht:htphysicalroom:update")
    public R update(@RequestBody HtRoomType htPhysicalRoom) {
        htPhysicalRoomService.updateById(htPhysicalRoom);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    @RequiresPermissions("ht:htphysicalroom:delete")
    public R delete(@RequestBody Long[] ids) {
        htPhysicalRoomService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
