package com.qls.web.modules.job.task;

import com.qls.core.constant.Constant;
import com.qls.rabbitmq.SendMsg;
import com.qls.web.modules.op.service.HtlGroupService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 全量更新 rp状态定时任务
 * @author doyoung
 */
@Slf4j
@Component("rpStatus")
public class RpStatusTask implements ITask {

    @Autowired
    private SendMsg sendMsg;

    @Autowired
    private HtlGroupService htlGroupService;

    @Override
    public void run(String params) {
        log.info("rp更新定时任务开始");
        // 查询数分组推送过的所有酒店
        List<Long> hotelIds = htlGroupService.getUpHotel();
        if(hotelIds.isEmpty()) {
            return;
        }
        hotelIds.forEach(hotelId-> sendMsg.execute(Constant.RabbitMq.UPDATE_RP, null, hotelId));
        log.info("rp更新定时任务结束");
    }
}
