package com.qls.web.modules.op.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qls.core.entity.OpHtlGroup;
import com.qls.web.modules.vo.HotelVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @author yj
 * @email yj@gmail.com
 * @date 2021-08-31 10:42:12
 */
@Mapper
public interface HtlGroupDao extends BaseMapper<OpHtlGroup> {
    /**
     * 根据店铺id查询酒店id集合
     *
     * @param storeId Long
     * @return List<Long>
     */
    List<Long> getHotelIdByStoreId(Long storeId);

    /**
     * 查询分组下所有上架过的酒店
     *
     * @return
     */
    List<Long> getUpHotel();

    List<Long> getHotelIdByGroupId(Integer groupId);

    List<HotelVO> sqlQueryPage(Map<String, Object> params);

    Long sqlQueryByGroupId(Integer id);

    List<Long> getHotelId();
}
