package com.qls.web.modules.op.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qls.core.entity.OpHtlGroup;
import com.qls.web.common.utils.PageUtils;

import java.util.List;
import java.util.Map;

/**
 * @author yj
 * @email yj@gmail.com
 * @date 2021-08-31 10:42:12
 */

public interface HtlGroupService extends IService<OpHtlGroup> {

    /**
     * 根据店铺查询酒店id集合
     *
     * @param storeId Long
     * @return List<Long>
     */
    List<Long> getHotelIdByStoreId(Long storeId);

    /**
     * 查询分组下所有上架过的酒店
     *
     * @return
     */
    List<Long> getUpHotel();

    List<Long> getHotelIdByGroupId(Integer groupId);

    PageUtils sqlQueryPage(Map<String, Object> params);

    Long sqlQueryByGroupId(Integer id);

}

