package com.qls.web.modules.ord.controller;

import cn.hutool.core.util.NumberUtil;
import com.alibaba.excel.annotation.ExcelProperty;
import com.qls.core.utils.R;
import com.qls.web.common.utils.EasyExcelUtils;
import com.qls.web.common.utils.PageUtils;
import com.qls.web.modules.ord.entity.OrdOrderVO;
import com.qls.web.modules.ord.entity.orderReportFormVO;
import com.qls.web.modules.ord.service.OrdOrderService;
import com.qls.web.modules.sys.controller.AbstractController;
import lombok.extern.slf4j.Slf4j;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * 订单报表
 *
 * @author doyoung
 */
@RestController
@RequestMapping("ord/orderReport")
@Slf4j
public class orderReportFormController extends AbstractController {
    @Autowired
    private OrdOrderService ordOrderService;


    /**
     * 列表
     *
     * @param params Map<String, Object>
     * @return R
     */
    @GetMapping(value = "/list")
    @RequiresPermissions("ord:order:list")
    public R orderReportlist(@RequestParam Map<String, Object> params) {
/*        Integer dtId = getUserDtId();
        params.put("dtId", dtId);
        // 排序用的参数
       params.put("sidx", "id");
        params.put("ord", "desc");*/
        PageUtils page = ordOrderService.orderReportlist(params);
        return R.ok().put("page", page).put("me", getUserId());
    }

    /**
     * 导出订单报表信息为excel
     *
     * @param params
     * @param response
     * @throws IOException
     */
    @GetMapping(value = "/excel")
    @RequiresPermissions("ord:order:list")
    public void excel(@RequestParam Map<String, Object> params, HttpServletResponse response) throws IOException {
/*        Integer dtId = getUserDtId();
        params.put("dtId", dtId);*/
        List<orderReportFormVO> list = ordOrderService.orderReportFormGetList(params);
        Double totalPayPrice = 0D;
        Double totalBuyOrderPrice = 0D;
        Double totalGrossProfit = 0D;
        Double totalGrossProfitMargin = 0D;
        for (orderReportFormVO vo : list) {
            totalPayPrice = NumberUtil.add(totalPayPrice, vo.getPayPrice());
            totalBuyOrderPrice = NumberUtil.add(totalBuyOrderPrice, vo.getBuyOrderPrice());
        }
        Double f = 0.9;
        Double x = NumberUtil.mul(totalPayPrice, f);
        NumberUtil.mul(totalPayPrice, f);
        totalGrossProfit = NumberUtil.sub(x, totalBuyOrderPrice);
        totalGrossProfitMargin = NumberUtil.div(totalGrossProfit, totalPayPrice);
        orderReportFormVO total = new orderReportFormVO();
        total.setPayPrice(totalPayPrice);
        total.setBuyOrderPrice(totalBuyOrderPrice);
        total.setGrossProfit(totalGrossProfit);
        total.setGrossProfitMargin(totalGrossProfitMargin);
        list.add(total);
        EasyExcelUtils.download(response, orderReportFormVO.class, list);
    }
}
