package com.qls.web.modules.ord.service;

import com.qls.core.entity.OrdOrder;
import com.qls.core.utils.R;
import com.qls.web.modules.ord.entity.DeliGood;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * @author doyoung
 */
@FeignClient("order")
public interface OrderFeignService {

    /**
     * 下单
     *
     * @param manuBookRQ
     * @return
     */
    @RequestMapping(value = "webapi/manu/order", method = RequestMethod.POST)
    R manuOrder(@RequestBody OrdOrder manuBookRQ);

    /**
     * 自有下单
     *
     * @param manuBookRQ
     * @return
     */
    @RequestMapping(value = "webapi/ctrip/order/manual", method = RequestMethod.POST)
    R manualOrd(@RequestBody OrdOrder manuBookRQ);

    /**
     * 关单/
     *
     * @param deliGood
     * @return
     */
    @RequestMapping(value = "webapi/manu/deligood", method = RequestMethod.POST)
    R manudeligood(@RequestBody DeliGood deliGood);

    // 刷新预定渠道缓存
    @GetMapping("/webapi/ctrip/order/refesh/channel")
    void refesh();

}
