package com.qls.web.modules.ord.service.impl;

import cn.hutool.json.JSONArray;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qls.core.entity.OrdOrder;
import com.qls.web.common.utils.PageUtils;
import com.qls.web.common.utils.Query;
import com.qls.web.modules.ord.dao.OrdOrderDao;
import com.qls.web.modules.ord.entity.OrdOrderVO;
import com.qls.web.modules.ord.entity.orderReportFormVO;
import com.qls.web.modules.ord.service.OrdOrderService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import java.util.stream.Stream;

/**
 * @author doyoung
 */
@Service
public class OrdOrderServiceImpl extends ServiceImpl<OrdOrderDao, OrdOrder> implements OrdOrderService {

    @Override
    public PageUtils sqlQuryPage(Map<String, Object> params) {
        String dtId = params.get("dtId").toString();
        String startTime = null;
        String endTime = null;
        List dateTime;
        dateTime = (List) params.get("dateTime");
        if (dateTime != null) {
            startTime = dateTime.get(0).toString();
            endTime = dateTime.get(1).toString();
        }
        String ordCode = params.get("ordCode").toString();
        String phone = params.get("phone").toString();
        IPage<OrdOrderVO> page = new Query<OrdOrderVO>().getPage(params);
        List<Integer> dtIds = baseMapper.getChild(Integer.parseInt(dtId));
        List<OrdOrderVO> list = baseMapper.sqlQuryPage(page, dtIds, startTime, endTime, ordCode, phone);
        PageUtils pageUtils = new PageUtils(page, list);
        return pageUtils;
    }

    @Override
    public List<OrdOrderVO> getList(Map<String, Object> params) {
        String dtId = params.get("dtId").toString();
        String startTime = null;
        String endTime = null;
        List dateTime;
        dateTime = (List) params.get("dateTime");
        if (dateTime != null) {
            startTime = dateTime.get(0).toString();
            endTime = dateTime.get(1).toString();
        }
        return baseMapper.getList(dtId, startTime, endTime);
    }

    @Override
    public PageUtils orderReportlist(Map<String, Object> params) {
        /*  String dtId = params.get("dtId").toString();*/
        String startTime = params.get("orderDateStart").toString();
        String endTime = params.get("orderDateEnd").toString();
        String orderCode = params.get("orderCode").toString();
        String groupName = params.get("groupName").toString();
        String hotelName = params.get("hotelName").toString();
        String city = params.get("city").toString();
        List<String> orderStatus = null;
        if (params.containsKey("orderStatus")) {
            String s = params.get("orderStatus").toString();
            if (!s.isEmpty()) {
                orderStatus = Stream.of(s.split(",")).collect(Collectors.toList());
            }
        }
        List<String> buyStatus = null;
        if (params.containsKey("buyStatus")) {
            String s = params.get("buyStatus").toString();
            if (!s.isEmpty()) {
                buyStatus = Stream.of(s.split(",")).collect(Collectors.toList());
            }
        }
        IPage<orderReportFormVO> page = new Query<orderReportFormVO>().getPage(params);
        List<orderReportFormVO> list = baseMapper.orderReportlist(page, startTime, endTime, orderCode, groupName, hotelName, city, orderStatus, buyStatus);
        PageUtils pageUtils = new PageUtils(page, list);
        return pageUtils;
    }

    @Override
    public List<orderReportFormVO> orderReportFormGetList(Map<String, Object> params) {
        /*  String dtId = params.get("dtId").toString();*/
        String startTime = params.get("orderDateStart").toString();
        String endTime = params.get("orderDateEnd").toString();
        String orderCode = params.get("orderCode").toString();
        String groupName = params.get("groupName").toString();
        String hotelName = params.get("hotelName").toString();
        String city = params.get("city").toString();
        List<String> orderStatus = null;
        if (params.containsKey("orderStatus")) {
            String s = params.get("orderStatus").toString();
            if (!s.isEmpty()) {
                orderStatus = Stream.of(s.split(",")).collect(Collectors.toList());
            }
        }
        List<String> buyStatus = null;
        if (params.containsKey("buyStatus")) {
            String s = params.get("buyStatus").toString();
            if (!s.isEmpty()) {
                buyStatus = Stream.of(s.split(",")).collect(Collectors.toList());
            }
        }
        List<orderReportFormVO> list = baseMapper.orderReportlist(null, startTime, endTime, orderCode, groupName, hotelName, city, orderStatus, buyStatus);
        return list;
    }
}
