package com.qls.web.modules.sys.controller;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.convert.Convert;
import cn.hutool.core.io.file.FileReader;
import cn.hutool.core.util.NumberUtil;
import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONUtil;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qls.core.constant.Constant;
import com.qls.core.dto.PushHotelBody;
import com.qls.core.entity.HtHotel;
import com.qls.core.entity.OpTaskStatus;
import com.qls.core.utils.DateUtils;
import com.qls.rabbitmq.SendMsg;
import com.qls.redis.RedisUtil;
import com.qls.web.modules.ht.service.HotelUtils;
import com.qls.web.modules.ht.service.HtHotelinfoService;
import com.qls.web.modules.sys.entity.*;
import com.qls.web.modules.sys.service.OpHtlGroupService;
import com.qls.web.modules.sys.service.OpTaskStatusService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.*;


@RestController
@EnableAsync
@Slf4j
public class testController {

    @Autowired
    private RedisUtil redisUtil;

    @Autowired
    private SendMsg sendMsg;

    @Autowired
    private HtHotelinfoService htHotelinfoService;

    @Autowired
    private OpHtlGroupService opHtlGroupService;

    @Autowired
    private OpTaskStatusService opTaskStatusService;

    @Autowired
    private BaseMapper<HtHotel> htHotelBaseMapper;

    /**
     * 测试
     */
    @RequestMapping("test")
    public void test() {

//        FileReader newFileReader = new FileReader("E:\\newDelHotel.json");
//        String newResult = newFileReader.readString();
//        JSONArray list = JSONUtil.parseArray(newResult);
//
//        com.alibaba.fastjson.JSONArray hotelArray = new com.alibaba.fastjson.JSONArray();
//        for (int i = 0; i < list.size(); i++) {
//            Long hotelId = Convert.toLong(list.get(i));
//            HtHotel htHotel = htHotelinfoService.getById(hotelId);
//            if (htHotel == null) {
//                continue;
//            }
//            String num = NumberUtil.round(NumberUtil.div((i + 1), list.size()) * 100, 2) + "%";
//            log.info("处理中，进度：{}", num);
//            htHotel.setHotelStatus(-2);
////            htHotelinfoService.updateById(htHotel);
//            Integer partnerId = htHotel.getPartnerId();
//            List<Integer> storeIds = opHtlGroupService.getStoreIdByHotelId(hotelId, partnerId);
//
//            for (Integer storeId : storeIds) {
//                JSONObject hotel = new JSONObject();
//                hotel.put("hotelId", hotelId);
//                hotel.put("storeId", storeId);
//                hotelArray.add(hotel);
//            }
//
//        }

//        FileReader newFileReader = new FileReader("E:\\detail.json");
//        String newResult = newFileReader.readString();
//        JSONArray hotelArray = JSONUtil.parseArray(newResult);
//        JSONObject end = new JSONObject();
//        end.put("hotelId", -1L);
//        end.put("storeId", -1);
//        Integer count = hotelArray.size();
//        hotelArray.add(end);
//        //创建任务
//        OpTaskStatus opTaskStatus = new OpTaskStatus();
//        opTaskStatus.setTaskName("批量删除指定酒店");
//        opTaskStatus.setTotal(count);
//        opTaskStatus.setStartTime(new Date());
//        Integer taskCode = Integer.parseInt("" + System.currentTimeMillis() / 1000);
//        opTaskStatus.setTaskCode(taskCode);
//        opTaskStatus.setDtId(61);
//        opTaskStatusService.save(opTaskStatus);
//        for (int i = 0; i < hotelArray.size(); i++) {
//            cn.hutool.json.JSONObject hotel = hotelArray.getJSONObject(i);
//            Integer storeId = hotel.getInt("storeId");
//            PushHotelBody pushHotelBody = new PushHotelBody();
//            pushHotelBody.setHotelId(hotel.getLong("hotelId"));
//            pushHotelBody.setStoreId(storeId);
//            pushHotelBody.setTaskId(taskCode);
//            // 2 对酒店进行更新
//            pushHotelBody.setType(-1);
//            sendMsg.execute(Constant.RabbitMq.HOTEL, storeId, pushHotelBody);
//        }

//        Boolean isDown =  redisUtil.judeDownOrNot(Constant.Redis.DOWN_HOTEL.getValue(), "123222");
//        redisUtil.upOrDown(Constant.Redis.DOWN_HOTEL.getValue(), "123222", 0);
    }

    /**
     * 测试2
     */
    @RequestMapping("test2")
    public void test2() {
        FileReader newFileReader = new FileReader("E:\\hotel20221022.json");
        String newResult = newFileReader.readString();
        JSONArray hotelArray = JSONUtil.parseArray(newResult);
        for (Object hotelId : hotelArray) {
            Integer partnerId = 5173;
            String secretKey = "cb1f6c0fabfcac9b4877da558ece1cde";
            String accessKey = "8c2b8269ac73085d84c6effabd4f0417";
            Map<String, Object> map = new HashMap<>(3);
            map.put("partnerId", partnerId);
            map.put("secretKey", secretKey);
            map.put("accessKey", accessKey);
            Boolean flag1 = getGoods(Convert.toLong(hotelId), map);
            if (flag1) {
                saveHotelDetail(Convert.toLong(hotelId),map);
                log.info("正常酒店：{}，partnerId：5173",hotelId);
                continue;
            } else {
                Integer partnerId2 = 22116;
                String secretKey2 = "18454269f24bd06791acde9b0e89af74";
                String accessKey2 = "c4fd93eadcc563170f6ea9f7ae37f734";
                Map<String, Object> map2 = new HashMap<>(3);
                map2.put("partnerId", partnerId2);
                map2.put("secretKey", secretKey2);
                map2.put("accessKey", accessKey2);
                Boolean flag2 = getGoods(Convert.toLong(hotelId), map2);
                if (flag2) {
                    saveHotelDetail(Convert.toLong(hotelId),map2);
                    log.info("正常酒店：{}，partnerId：22116",hotelId);
                    continue;
                }
                log.error("异常酒店：{}",hotelId);
            }
//            hotel = htHotelBaseMapper.selectOne(queryWrapper);
//            htHotelinfoService(hotel);
//            htHotelinfoService.getOne(hotel);
        }
    }

    public void saveHotelDetail(Long hotelId, Map<String, Object> map) {
        JSONObject data = new JSONObject();
        ArrayList<Long> hotelIds = new ArrayList<>();
        hotelIds.add(hotelId);
        data.put("hotelIds", hotelIds);
        com.alibaba.fastjson.JSONArray include = new com.alibaba.fastjson.JSONArray();
        include.add("HotelContent.baseInfo");
        include.add("HotelContent.detailInfo");
        data.put("include", include);
        String res = HotelUtils.result(data, "hotel.content", map);
        Hotel hotel = JSONObject.parseObject(res, Hotel.class);
        // 返回值为空结束
        if (Objects.isNull(hotel)) {
            return;
        }
        List<HotelDetails> hotelDetailsList = hotel.getHotelContents();
        // 数据为null 或者数据为空 结束
        if (hotelDetailsList == null || hotelDetailsList.isEmpty()) {
            return;
        }
        HotelDetails hotelDetail = JSONObject.parseObject(res, Hotel.class).getHotelContents().get(0);
        // 每次对一个酒店请求 只取出第一个即可
        BaseInfo baseInfo = hotelDetail.getBaseInfo();
        // 基础信息为空 结束
        if (Objects.isNull(baseInfo)) {
            return;
        }
        String phone = baseInfo.getPhone();
        // 如果没有联系电话 结束
        if (StringUtils.isBlank(phone)) {
            return;
        }
        //创建HtHotelinfo对象并赋值
        HtHotel htHotelinfo = new HtHotel();
        //	酒店ID
        htHotelinfo.setHotelCode(hotelDetail.getHotelId());
        htHotelinfo.setId(hotelDetail.getHotelId());
        //	酒店名称
        htHotelinfo.setHotelName(hotelDetail.getBaseInfo().getName());
        //	酒店地址
        String address = "";
        if (baseInfo.getAddress() != null && baseInfo.getAddress().getAddressLine() != null && baseInfo.getAddress().getAddressLine().getName() != null){
            address = baseInfo.getAddress().getAddressLine().getName();
        }
        htHotelinfo.setPartnerId(Integer.valueOf(map.get("partnerId").toString()));
        htHotelinfo.setAddress(address.length() < 299 ? address : address.substring(0, 299));
        // 城市ID与城市名、城市行政区ID与行政区名的映射关系列表请联系分销平台获取
        htHotelinfo.setProvince(baseInfo.getAddress().getProvince().getCode());
        // 城市行政区ID
        htHotelinfo.setDistrict(baseInfo.getAddress().getArea().getCode());
        // 城市ID
        htHotelinfo.setCity(baseInfo.getAddress().getCity().getCode());
        // 酒店所在商圈名
        if (phone.contains(";")) {
            htHotelinfo.setPhone(phone.split(";")[0]);
        }
        if (phone.contains(",")) {
            htHotelinfo.setPhone(phone.split(",")[0]);
        }
        if (phone.length() > 30) {
            htHotelinfo.setPhone(phone.substring(0, 29));
        }
        htHotelinfo.setPhone(phone);
        Boolean flag = baseInfo.getBookable();
        //酒店营业状态：0 营业中,1 已关门,2 筹建中,3 暂停营业
        Integer status = 0;
        if (flag == null || !flag) {
            status = -2;
        } else {
            status = 0;
        }
        htHotelinfo.setHotelStatus(status);
        // 将数据添加到数据库
        htHotelinfoService.saveOrUpdate(htHotelinfo);
    }
    /**
     * 判断酒店下是否存在产品
     *
     * @param hotelId Long
     * @param map
     * @return maxId
     */
    public Boolean getGoods(Long hotelId, Map<String, Object> map) {
        // 请求参数
        JSONObject data = new JSONObject();
        ArrayList<Long> hotelIds = new ArrayList<>();
        // 获取当前日期
        hotelIds.add(hotelId);
        data.put("hotelIds", hotelIds);
        Date now = new Date();
        data.put("checkinDate", DateUtils.format(now));
        data.put("checkoutDate", DateUtils.format(DateUtils.addDateDays(now, 1)));
        // 只要全日房
        data.put("goodsType", 1);
        List<String> queryInfoDimensions = new ArrayList<>();
        // 只查询基础信息
        queryInfoDimensions.add("BASE");
        data.put("queryInfoDimensions", queryInfoDimensions);
        // 返回值
        String res = HotelUtils.result(data, "hotel.goods.rp", map);
        Rp rp = JSONObject.parseObject(res, Rp.class);

        if (rp == null) {
            return false;
        }
        List<HotelGoods> list = rp.getHotelGoods();
        if (list == null || list.isEmpty()) {
            return false;
        }
        List rpCodes = judeGoods(list);

        if (rpCodes.isEmpty()) {
            return false;
        }
        return true;
    }

    public List<Long> judeGoods(List<HotelGoods> list) {
        List<Long> rpCodes = new ArrayList<>();
        for (HotelGoods good : list) {
            List<Goods> goodsListoods = good.getGoods();
            if (goodsListoods.isEmpty()) {
                return rpCodes;
            }
            for (Goods goods : goodsListoods) {
                //支付方式 0：预付，2：现付非担保  数据库： 支付类型，只支持：1：预付5：现付6: 信用住7:在线预约8:在线预约信用住。其中5,6,7,8三种类型需要申请权限
                // 不是预付 剔除
                if (goods.getPaymentType() != 0) {
                    continue;
                }
                // 产品没有名称 剔除
                if (goods.getGoodsName() == null) {
                    continue;
                }
                // 去除没有物理房型的商品 文档解释 每个产品只会对应一个物理房型 也就是此集合中只可能有一个数据 （做一下判断看具体日志情况）
                if (goods.getRoomInfoList() == null || goods.getRoomInfoList().size() != 1) {
                    continue;
                }
                // 物理房型id可能不存在
                Long realRoomCode = goods.getRoomInfoList().get(0).getRealRoomId();
                if (realRoomCode == null) {
                    continue;
                }
                Long rpCode = goods.getGoodsId();
                rpCodes.add(rpCode);
            }
        }
        return rpCodes;
    }
}
