package com.qls.web.modules.sys.entity;


import com.alibaba.fastjson.JSONObject;
import com.qls.web.modules.ht.service.FxBaseApiRequest;
import com.qls.web.modules.ht.service.MtClient;
import lombok.extern.slf4j.Slf4j;

import java.util.*;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * 酒店数据处理的通用工具
 *
 * @author doyoung
 */
@Slf4j
public class HotelUtils {

    /**
     * 接收美团返回值
     *
     * @param data JSONObject
     * @param method String
     * @param map Map<String, Object>
     * @return String
     */
    public static String result(JSONObject data, String method, Map<String, Object> map) {
        FxBaseApiRequest fxBaseApiRequest = new FxBaseApiRequest(Integer.valueOf(map.get("partnerId").toString()),
                map.get("secretKey").toString(),
                map.get("accessKey").toString(),
                method, data.toJSONString(), false, false);
        String result = new MtClient().retryPost(fxBaseApiRequest);
        if(result == null) {
            return null;
        }
        JSONObject hotelData = JSONObject.parseObject(result);
        if (!(hotelData.getInteger("code").equals(0))) {
            log.error("数据源：{}，调用接口：{}，请求参数：{}，返回结果：{}", map.get("partnerId").toString(), fxBaseApiRequest.getMethod() ,data.toJSONString(), result);
        }
        return hotelData.getString("result");
    }

}
